Bug 151623 - hrPartition table doesn't work with LVM
Summary: hrPartition table doesn't work with LVM
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-20 23:56 UTC by Bradley
Modified: 2008-02-27 09:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 09:31:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bradley 2005-03-20 23:56:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
The hrPartitionTable code doesn't know about LVM device formats. The code in init_hr_disk looks for /dev/hd, /dev/sd, /dev/md, and /dev/fd, but thats it.

You could argue that LVM isn't a "partition", but raid devices are there. We use this for working out all the partitions and their mount points, for cricket/etc monitoring.

Version-Release number of selected component (if applicable):
net-snmp-5.1.2-11

How reproducible:
Always

Steps to Reproduce:
snmpwalk -v 2c -c public host localhost | grep Partition

Actual Results:  No /dev/mapper/VolGroup00-LogVol00 entries, and no hrPartitionFSIndex entry pointing to /

Expected Results:  Entry for /dev/mapper/VolGroup00-LogVol00, with associated hrPartitionFSIndex entry pointing to the / partition

Additional info:

On my machine, I don't even get /dev/hda1 in the output, although I do on another box that doesn't have any LVM configured.

Comment 1 Matthew Miller 2006-07-10 22:45:40 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Bradley 2006-07-11 01:27:28 UTC
Still fails:

net-snmp-5.3-4.2 on FC5

Comment 3 Matthew Miller 2006-07-11 15:42:25 UTC
moving to FC5 as per comment #2.

Comment 4 Jan Safranek 2008-01-29 12:43:16 UTC
moving to rawhide - FC5 is not supported anymore. There is ongoing discussion
upstream about LVM, see
http://sourceforge.net/tracker/index.php?func=detail&aid=1185358&group_id=12694&atid=312694

Comment 5 Jan Safranek 2008-01-30 13:44:45 UTC
I updated the upstream patch:
http://sourceforge.net/tracker/index.php?func=detail&aid=1882621&group_id=12694&atid=312694

Now it waits for upstream acceptance (which usually takes quite long time, even
several months).

Comment 6 Jan Safranek 2008-02-27 09:31:55 UTC
The patch was accepted, you can look forward for net-snmp 5.5


Note You need to log in before you can comment on or make changes to this bug.